"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class MutationalSignatureContribution(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "coefficients",
        "rss",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_8_7 import metrics as metrics_1_2_5

        return {
            "org.gel.models.report.avro.MutationalSignatureContribution": metrics_1_2_5.MutationalSignatureContribution,
        }

    __slots__ = [
        "coefficients",
        "rss",
    ]

    def __init__(
        self,
        coefficients,
        rss,
        validate=None,
        **kwargs
    ):
        """Initialise the metrics_1_2_5.MutationalSignatureContribution model.

        :param coefficients:
            Coefficients for each mutational signatures e.g.
            {"coefficients":{"signature1":91.2595, [...]}}
        :type coefficients: dict[str, double]
        :param rss:
            Confidence value e.g. {"RSS":0.0063}
        :type rss: double
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.2.5"
